Subject: bug#34375: Problem with the 'to input' information in what-cursor-position

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Feb 2019 09:11:25 +0200

> From: Andy Smith <[email-masked]>
> Date: Thu, 7 Feb 2019 23:00:01 +0000
> 
> I ran what-cursor-position on a unicode char. Get the following ...
> 
> position: 12 of 16 (69%), column: 0
>             character: Ő (displayed as Ő) (codepoint 336, #o520, #x150)
>     preferred charset: unicode (Unicode (ISO10646))
> code point in charset: 0x0150
>                script: latin
>                syntax: w which means: word
>              category: .:Base, L:Left-to-right (strong), j:Japanese, l:Latin
>              to input: type "C-x 8 RET 150" or "C-x 8 RET LATIN CAPITAL LETTER O WITH DOUBLE ACUTE"
>           buffer code: #xC5 #x90
>             file code: #xC5 #x90 (encoded by coding system utf-8-unix)
>               display: by this font (glyph code)
>     xft:-DAMA-Ubuntu Mono-normal-normal-normal-*-72-*-*-*-m-0-iso10646-1
>             (#x12E)
> 
> If I follow the 'to input' instructions ... i.e "C-x 8 RET 150" this
> doesn't work.

I cannot reproduce this.  It works for me.  What do you get if you
type "C-x 8 RET 150", as indicated in what-cursor-position's output?

> The to-input field maybe needs to display an octal string properly
> prefixed with a zero maybe?

No, the code is interpreted as hex by "C-x 8 RET".  So I wonder what
went wrong in your case.  Can you show the result of "C-h l" (the
letter ell, not the digit one) after typing "C-x 8 RET 150"?